Gentoo Archives: gentoo-science

From: fbissey@××××××××××××.nz
To: gentoo-science@l.g.o
Subject: Re: [gentoo-science] Can not run sage-notebook
Date: Mon, 22 Aug 2011 00:04:15
Message-Id: 20110822115919.owg08g0o000oo4wg@webmail.slingshot.co.nz
In Reply to: Re: [gentoo-science] Can not run sage-notebook by P Purkayastha
Quoting P Purkayastha <ppurka@×××××.com>:

> On 08/22/2011 06:48 AM, fbissey@××××××××××××.nz wrote: >> Quoting P Purkayastha <ppurka@×××××.com>: >>> Indeed cython was not rebuilt after/during the update of sage. >>> Rebuilding it doesn't make any difference. Still get the same errors. >>> eix output just before remerging cython: >>> >>> [I] dev-python/cython >>> Available versions: 0.14.1 0.14.1-r1[1] {doc examples} >>> Installed versions: 0.14.1-r1[1](10:34:40 PM 08/05/2011)(-doc >>> -examples) >>> Homepage: http://www.cython.org/ >>> http://pypi.python.org/pypi/Cython >>> Description: The Cython compiler for writing C extensions >>> for the Python language >> Did you follow up with a rebuild of pynac, sage-clib and sage? >> >> Francois > > I haev tried rebuilding pynac, sage-clib, sage, sage-baselayout and > sage-notebook. The error persists. > > > ~> genlop -l --date 3 hours ago > * dev-python/cython > > Mon Aug 22 06:05:25 2011 >>> dev-python/cython-0.14.1-r1 > Mon Aug 22 06:56:32 2011 >>> sci-libs/pynac-0.2.3 > Mon Aug 22 06:56:58 2011 >>> sci-mathematics/sage-clib-4.7.1 > Mon Aug 22 07:09:34 2011 >>> sci-mathematics/sage-4.7.1 > Mon Aug 22 07:12:48 2011 >>> dev-lang/yasm-1.1.0-r1 > Mon Aug 22 07:14:55 2011 >>> sci-mathematics/sage-notebook-0.8.19 > Mon Aug 22 07:15:30 2011 >>> sci-mathematics/sage-baselayout-4.7.1 > ~>
OK let's look at some other things: printenv | grep SAGE eix ipython What is your current shell? Outout of "sage -gdb" if you installed with the debug useflag. Did you install the testsuite (useflag of the same name). Francois

Replies

Subject Author
Re: [gentoo-science] Can not run sage-notebook P Purkayastha <ppurka@×××××.com>